# Applications

Applications

 - [POST /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/createapplication.md): This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown.
 - [GET /applications/{tenantId}/applicationGroup/{application_group_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbyapplicationgroupid.md): Returns a list of records with the specified application_group_id
 - [POST /applications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /applications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /applications/{tenantId}/generateApplication/{processId}/{ownerType}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generateapplications.md)
 - [POST /applications/{tenantId}/generateGroupOrder/{groupId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generategrouporder.md): This method will examine a membership application and generate an appropriate order
 - [POST /applications/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generateorder.md): This method will examine a membership application and generate an appropriate order
 - [GET /applications/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [POST /applications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/searchforapplications.md): Searches for applications using predefined parameters
 - [DELETE /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/deleteapplication.md): This method will delete a application with the specified ID.
 - [GET /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/getapplication.md): This method will look up a application by the specified ID and return it back.
 - [PATCH /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/patchapplication.md): This method will patch an existing application with the specified ID, using the HTTP PATCH specification.
 - [PUT /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/updateapplication.md): This method will update an existing application with the specified ID.
